## org.hibernate.envers.configuration
Class PersistentClassGraphDefiner

    java.lang.Object
      org.hibernate.envers.configuration.PersistentClassGraphDefiner

All Implemented Interfaces:
  GraphDefiner<PersistentClass,String>

    public class PersistentClassGraphDefiner

extends Object
implements GraphDefiner<PersistentClass,String>

Defines a graph, where the vertexes are all persistent classes, and there is an edge from p.c. A to p.c. B iff A is a superclass of B.

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`PersistentClassGraphDefiner(Configuration cfg)`

Method Summary
`List<PersistentClass>` `getNeighbours(PersistentClass pc)`
`String` `getRepresentation(PersistentClass pc)`
`PersistentClass` `getValue(String entityName)`
`List<PersistentClass>` `getValues()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentClassGraphDefiner

    public PersistentClassGraphDefiner(Configuration cfg)

Method Detail

### getRepresentation

    public String getRepresentation(PersistentClass pc)

  Specified by:
    `getRepresentation` in interface `GraphDefiner<PersistentClass,String>`

### getValue

    public PersistentClass getValue(String entityName)

  Specified by:
    `getValue` in interface `GraphDefiner<PersistentClass,String>`

### getNeighbours

    public List<PersistentClass> getNeighbours(PersistentClass pc)

  Specified by:
    `getNeighbours` in interface `GraphDefiner<PersistentClass,String>`

### getValues

    public List<PersistentClass> getValues()

  Specified by:
    `getValues` in interface `GraphDefiner<PersistentClass,String>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.